Get the complete saved evaluation
curl --request GET \
--url https://x.invalid/api/v1/tilts/{tilt_uuid}/constituents \
--header 'X-Api-Key: <api-key>'import requests
url = "https://x.invalid/api/v1/tilts/{tilt_uuid}/constituents"
headers = {"X-Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<api-key>'}};
fetch('https://x.invalid/api/v1/tilts/{tilt_uuid}/constituents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tilt_uuid": "6bcfd210-80f5-4f0b-ab27-6b675194a4a1",
"revision": "2026-09-29T14:33:02Z",
"as_of_date": "2026-09-26",
"total_constituents": 2,
"total_weight": 1,
"constituents": [
{
"tilt_asset_id": "US0378331005-XNAS",
"symbol": "AAPL",
"name": "Apple Inc.",
"exchange": "XNAS",
"score": 1.42,
"weight": 0.54
},
{
"tilt_asset_id": "US5949181045-XNAS",
"symbol": "MSFT",
"name": "Microsoft Corp.",
"exchange": "XNAS",
"score": 1.18,
"weight": 0.46
}
]
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "snapshot_not_found",
"message": "This Tilt revision has not been evaluated."
}
}API
Get evaluated constituents
Get a complete saved constituent snapshot with scores and weights.
Get the complete saved evaluation
Authorizations
Path Parameters
Response
The complete weighted constituent snapshot.
Sum of fractional constituent weights; approximately 1 for a nonempty weighted result.
Complete saved result, ordered by weight descending.
Show child attributes
Show child attributes